PiecewiseConstantParameter Class Reference

Piecewise-constant parameter. More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for PiecewiseConstantParameter:
[legend]

## Public Member Functions

| PiecewiseConstantParameter (const std::vector< Time > &times, const Constraint &constraint=NoConstraint())
Public Member Functions inherited from Parameter
const Array & | params () const
void | setParam (Size i, Real x)
bool | testParams (const Array &params) const
Size | size () const
Real | operator() (Time t) const
const boost::shared_ptr< Impl > & | implementation () const
const Constraint & | constraint () const

## Additional Inherited Members

Protected Member Functions inherited from Parameter
| Parameter (Size size, const boost::shared_ptr< Impl > &impl, const Constraint &constraint)
Protected Attributes inherited from Parameter
boost::shared_ptr< Impl > | impl_
Array | params_
Constraint | constraint_

## Detailed Description

Piecewise-constant parameter.

\( a(t) = a_i if t_{i-1} \geq t < t_i \). This kind of parameter is usually used to enhance the fitting of a model